-- "High Elf Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Elven tattoo design copyright (C) Elbie3rd@deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 2 created by Daniv
-- Last updated 6th November 2014



import "mod_assets/scripts/high_elf_temple_materials.lua"
import "mod_assets/scripts/high_elf_temple_objects.lua"
import "mod_assets/scripts/high_elf_skeletons.lua"



defineWallSet{
   name = "high_elf_temple",
   randomFloorFacing = true,
   floors = {
      "mod_assets/models/high_elf_temple/high_elf_temple_floor_1.fbx", 1,
      "mod_assets/models/high_elf_temple/high_elf_temple_floor_2.fbx", 1,
      "mod_assets/models/high_elf_temple/high_elf_temple_floor_3.fbx", 1,
      "mod_assets/models/high_elf_temple/high_elf_temple_floor_4.fbx", 1,
      },
   walls = {
      "mod_assets/models/high_elf_temple/high_elf_temple_wall.fbx", 10,
      "mod_assets/models/high_elf_temple/high_elf_temple_wall_drainage.fbx", 1,
      },
   pillars = {
      "mod_assets/models/high_elf_temple/high_elf_temple_pillar.fbx", 1,
      },
   ceilings = {
      "mod_assets/models/high_elf_temple/high_elf_temple_ceiling.fbx", 1,
      },
   ceilingShafts = {
      "mod_assets/models/high_elf_temple/high_elf_temple_ceiling_shaft.fbx", 1,
      },
   floorDecorations = {
      },
   wallDecorations = {
      "mod_assets/models/high_elf_temple/high_elf_temple_metal_hooks_wall.fbx", 1,
      "mod_assets/models/high_elf_temple/high_elf_temple_metal_hooks_chain_wall.fbx", 1,
      },
   pillarDecorations = {
      "mod_assets/models/high_elf_temple/high_elf_temple_metal_hook_pillar.fbx", 1,
      "mod_assets/models/high_elf_temple/high_elf_temple_metal_hook_chain_pillar.fbx", 1,
      "mod_assets/models/high_elf_temple/high_elf_temple_metal_ring_pillar.fbx", 1,
      },
   }
