-- "High Elf Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Elven tattoo design copyright (C) Elbie3rd@deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 2 created by Daniv
-- Last updated 6th November 2014



cloneObject{
   name = "high_elf_skeleton_warrior",
   baseObject = "skeleton_warrior",
   model = "mod_assets/models/high_elf_temple/high_elf_skeleton_warrior.fbx",
   lootDrop = { 100, "high_elf_legionary_spear", 100, "high_elf_legionary_shield" },
   }

cloneObject{
   name = "high_elf_skeleton_archer",
   baseObject = "skeleton_archer",
   model = "mod_assets/models/high_elf_temple/high_elf_skeleton_archer.fbx",
   }

defineObject{
   name = "high_elf_skeleton_archer_patrol",
   class = "MonsterGroup",
   monsterType = "high_elf_skeleton_archer",
   count = 2,
   }

defineObject{
   name = "high_elf_skeleton_patrol",
   class = "MonsterGroup",
   monsterType = "high_elf_skeleton_warrior",
   count = 4,
   }



cloneObject{
   name = "high_elf_legionary_shield",
   baseObject = "legionary_shield",
   uiName = "High Elf Legionary Shield",
   model = "mod_assets/models/high_elf_temple/high_elf_skeleton_shield.fbx",
   gfxAtlas = "mod_assets/textures/high_elf_temple/high_elf_items.tga",
   gfxIndex = 0,
   }

cloneObject{
   name = "high_elf_legionary_spear",
   baseObject = "legionary_spear",
   uiName = "High Elf Legionary Spear",
   model = "mod_assets/models/high_elf_temple/high_elf_skeleton_spear.fbx",
   gfxAtlas = "mod_assets/textures/high_elf_temple/high_elf_items.tga",
   gfxIndex = 1,
   }
